---
title: Project Pipelines
---

<h2 class="center-text">
  default branches, past month
</h2>
<table class="table table-striped">
  <thead>
    <tr class="headerrow">
      <th>Project</th>
      <th>Success Rate</th>
      <th>Duration in Minutes (min/median/max)</th>
    </tr>
  </thead>
  <tbody>
    <% project_pipelines.each do |project| %>
      <tr>
        <td><a href="<%= project[:webUrl] %>"><%= project[:fullPath] %></a></td>
        <td>
          <strong>
            <%= project[:pipelines_percent_success] %>%
          </strong>
          <span class="float-end">
            (<%= project[:pipelines_count_success] %> / <%= project[:pipelines_count_total] %>)
          </span>
        </td>
        <td class="text-center">
          <%= project[:pipelines_duration_min] %> /
          <strong><%= project[:pipelines_duration_median] %></strong> /
          <%= project[:pipelines_duration_max] %>
          </td>
      </tr>
    <% end %>
  </tbody>
</table>
